Bug 1821069 - Review Request: python-steps - STochastic Engine for Pathway Simulation
Summary: Review Request: python-steps - STochastic Engine for Pathway Simulation
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jared Smith
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: fedora-neuro
TreeView+ depends on / blocked
 
Reported: 2020-04-05 20:53 UTC by Ankur Sinha (FranciscoD)
Modified: 2020-04-25 02:18 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-04-15 20:33:01 UTC
Type: ---
jsmith.fedora: fedora-review+


Attachments (Terms of Use)

Description Ankur Sinha (FranciscoD) 2020-04-05 20:53:56 UTC
Spec URL: https://ankursinha.fedorapeople.org/python-steps/python-steps.spec
SRPM URL: https://ankursinha.fedorapeople.org/python-steps/python-steps-3.5.0-1.fc32.src.rpm

Description:
STEPS is a package for exact stochastic simulation of reaction-diffusion
systems in arbitrarily complex 3D geometries. Our core simulation algorithm is
an implementation of Gillespie's SSA, extended to deal with diffusion of
molecules over the elements of a 3D tetrahedral mesh.

While it was mainly developed for simulating detailed models of neuronal
signaling pathways in dendrites and around synapses, it is a general tool and
can be used for studying any biochemical pathway in which spatial gradients and
morphology are thought to play a role.

STEPS also supports accurate and efficient computational of local membrane
potentials on tetrahedral meshes, with the addition of voltage-gated channels
and currents. Tight integration between the reaction-diffusion calculations and
the tetrahedral mesh potentials allows detailed coupling between molecular
activity and local electrical excitability.

We have implemented STEPS as a set of Python modules, which means STEPS users
can use Python scripts to control all aspects of setting up the model,
generating a mesh, controlling the simulation and generating and analyzing
output. The core computational routines are still implemented as C/C++
extension modules for maximal speed of execution.

STEPS 3.0.0 and above provide early parallel solution for stochastic spatial
reaction-diffusion and electric field simulation.

Documentation can be found here:
http://steps.sourceforge.net/manual/manual_index.html

Fedora Account System Username: ankursinha

Comment 1 Jared Smith 2020-04-05 22:45:10 UTC
Package is APPROVED.


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.
[x]: If your application is a C or C++ application you must list a
     BuildRequires against gcc, gcc-c++ or clang.
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated", "GPL (v2)", "GNU Lesser General Public
     License", "Apache License 2.0", "GNU General Public License (v3.0)",
     "Expat License", "GPL (v3 or later)", "BSD 3-clause "New" or "Revised"
     License GPL (v2)", "BSD 3-clause "New" or "Revised" License", "Public
     domain BSD 3-clause "New" or "Revised" License", "GPL (v2 or later)
     (with incorrect FSF address)", "NTP License", "Boehm GC License". 459
     files have unknown license. Detailed output of licensecheck in
     /home/jsmith/Documents/Fedora/1821069-python-steps/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/lib64/python3.8/site-
     packages/openmpi, /usr/lib64/python3.8/site-packages/mpich
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[x]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package must not depend on deprecated() packages.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Packages MUST NOT have dependencies (either build-time or runtime) on
     packages named with the unversioned python- prefix unless no properly
     versioned package exists. Dependencies on Python packages instead MUST
     use names beginning with python2- or python3- as appropriate.
[x]: Python packages must not contain %{pythonX_site(lib|arch)}/* in %files
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[!]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     python3-steps , python3-steps-openmpi , python3-steps-mpich
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[-]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[?]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python3-steps-3.5.0-1.fc33.x86_64.rpm
          python3-steps-openmpi-3.5.0-1.fc33.x86_64.rpm
          python3-steps-mpich-3.5.0-1.fc33.x86_64.rpm
          python-steps-debuginfo-3.5.0-1.fc33.x86_64.rpm
          python-steps-debugsource-3.5.0-1.fc33.x86_64.rpm
          python-steps-3.5.0-1.fc33.src.rpm
python3-steps.x86_64: W: spelling-error Summary(en_US) STochastic -> Stochastic
python3-steps.x86_64: W: no-documentation
python3-steps-openmpi.x86_64: W: summary-not-capitalized C steps built with openmpi
python3-steps-openmpi.x86_64: W: no-documentation
python3-steps-mpich.x86_64: W: summary-not-capitalized C steps built with mpich
python3-steps-mpich.x86_64: W: no-documentation
python-steps.src: W: spelling-error Summary(en_US) STochastic -> Stochastic
6 packages and 0 specfiles checked; 0 errors, 7 warnings.




Rpmlint (debuginfo)
-------------------
Checking: python-steps-debuginfo-3.5.0-1.fc33.x86_64.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.





Rpmlint (installed packages)
----------------------------
python3-steps-openmpi.x86_64: W: summary-not-capitalized C steps built with openmpi
python3-steps-openmpi.x86_64: W: invalid-url URL: http://steps.sourceforge.net/ <urlopen error [Errno -2] Name or service not known>
python3-steps-openmpi.x86_64: W: no-documentation
python3-steps.x86_64: W: spelling-error Summary(en_US) STochastic -> Stochastic
python3-steps.x86_64: W: invalid-url URL: http://steps.sourceforge.net/ <urlopen error [Errno -2] Name or service not known>
python3-steps.x86_64: W: no-documentation
python-steps-debuginfo.x86_64: W: invalid-url URL: http://steps.sourceforge.net/ <urlopen error [Errno -2] Name or service not known>
python-steps-debugsource.x86_64: W: invalid-url URL: http://steps.sourceforge.net/ <urlopen error [Errno -2] Name or service not known>
python3-steps-mpich.x86_64: W: summary-not-capitalized C steps built with mpich
python3-steps-mpich.x86_64: W: invalid-url URL: http://steps.sourceforge.net/ <urlopen error [Errno -2] Name or service not known>
python3-steps-mpich.x86_64: W: no-documentation
5 packages and 0 specfiles checked; 0 errors, 11 warnings.



Unversioned so-files
--------------------
python3-steps: /usr/lib64/python3.8/site-packages/steps/cysteps.so
python3-steps-openmpi: /usr/lib64/python3.8/site-packages/openmpi/steps/cysteps_mpi.so
python3-steps-mpich: /usr/lib64/python3.8/site-packages/mpich/steps/cysteps_mpi.so

Source checksums
----------------
https://github.com/CNS-OIST/STEPS/archive/3.5.0/steps-3.5.0.tar.gz :
  CHECKSUM(SHA256) this package     : 3b34c9e92b93a9c3053fce4c932a9cad38344ab3df4a4ff4ef2ca74799890e6e
  CHECKSUM(SHA256) upstream package : 3b34c9e92b93a9c3053fce4c932a9cad38344ab3df4a4ff4ef2ca74799890e6e


Requires
--------
python3-steps (rpmlib, GLIBC filtered):
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libgomp.so.1()(64bit)
    libgomp.so.1(GOMP_4.0)(64bit)
    libgomp.so.1(OMP_1.0)(64bit)
    libm.so.6()(64bit)
    libpthread.so.0()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    libstdc++.so.6(CXXABI_1.3.5)(64bit)
    python(abi)
    rtld(GNU_HASH)

python3-steps-openmpi (rpmlib, GLIBC filtered):
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libgomp.so.1()(64bit)
    libgomp.so.1(GOMP_4.0)(64bit)
    libgomp.so.1(OMP_1.0)(64bit)
    libm.so.6()(64bit)
    libmpi.so.40()(64bit)(openmpi-x86_64)
    libmpi_cxx.so.40()(64bit)(openmpi-x86_64)
    libpthread.so.0()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    libstdc++.so.6(CXXABI_1.3.5)(64bit)
    libstdc++.so.6(CXXABI_1.3.8)(64bit)
    openmpi
    python(abi)
    rtld(GNU_HASH)

python3-steps-mpich (rpmlib, GLIBC filtered):
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libgomp.so.1()(64bit)
    libgomp.so.1(GOMP_4.0)(64bit)
    libgomp.so.1(OMP_1.0)(64bit)
    libm.so.6()(64bit)
    libmpi.so.12()(64bit)(mpich-x86_64)
    libpthread.so.0()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    libstdc++.so.6(CXXABI_1.3.5)(64bit)
    mpich
    python(abi)
    rtld(GNU_HASH)

python-steps-debuginfo (rpmlib, GLIBC filtered):

python-steps-debugsource (rpmlib, GLIBC filtered):



Provides
--------
python3-steps:
    python-steps
    python3-steps
    python3-steps(x86-64)
    python3.8dist(steps)
    python38-steps
    python3dist(steps)
    steps

python3-steps-openmpi:
    python-steps-openmpi
    python3-steps-openmpi
    python3-steps-openmpi(x86-64)
    python38-steps-openmpi

python3-steps-mpich:
    python-steps-mpich
    python3-steps-mpich
    python3-steps-mpich(x86-64)
    python38-steps-mpich

python-steps-debuginfo:
    python-steps-debuginfo
    python-steps-debuginfo(x86-64)

python-steps-debugsource:
    python-steps-debugsource
    python-steps-debugsource(x86-64)



Generated by fedora-review 0.7.5 (5fa5b7e) last change: 2020-02-16
Command line :/usr/bin/fedora-review -b 1821069
Buildroot used: fedora-rawhide-x86_64
Active plugins: Shell-api, C/C++, Python, Generic
Disabled plugins: Haskell, fonts, PHP, SugarActivity, R, Ocaml, Perl, Java
Disabled flags: EPEL6, EPEL7, DISTTAG, BATCH, EXARCH

Comment 2 Gwyn Ciesla 2020-04-06 13:11:54 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/python-steps

Comment 3 Fedora Update System 2020-04-06 16:27:45 UTC
FEDORA-2020-63e2f86d68 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-63e2f86d68

Comment 4 Fedora Update System 2020-04-06 17:18:04 UTC
FEDORA-2020-ddc5f06fcb has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-ddc5f06fcb

Comment 5 Ankur Sinha (FranciscoD) 2020-04-06 17:22:07 UTC
Thanks for the quick review, Jared. Please do let me know if I can review packages for you in the future :)

Comment 6 Fedora Update System 2020-04-07 02:28:01 UTC
FEDORA-2020-63e2f86d68 has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --advisory=FEDORA-2020-63e2f86d68 \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-63e2f86d68

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Fedora Update System 2020-04-07 03:10:18 UTC
FEDORA-2020-ddc5f06fcb has been pushed to the Fedora 31 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --advisory=FEDORA-2020-ddc5f06fcb \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-ddc5f06fcb

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Fedora Update System 2020-04-15 20:33:01 UTC
FEDORA-2020-ddc5f06fcb has been pushed to the Fedora 31 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 9 Fedora Update System 2020-04-25 02:18:22 UTC
FEDORA-2020-63e2f86d68 has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.